__gnu_cxx::_Rope_RopeSubstring(3)

NAME
__gnu_cxx::_Rope_RopeSubstring -

SYNOPSIS

Inherits _Rope_RopeFunction< _CharT, _Alloc >, and char_producer< _CharT >.

Detailed Description

  template<class _CharT, class _Alloc> struct __gnu_cxx::_Rope_RopeSubstring< _CharT, _Alloc >

Definition at line 822 of file rope.

  Public Types
typedef _Rope_rep_base< _CharT, _Alloc >::allocator_type allocator_type

  Public Member Functions
void _M_free_c_string ()
void _M_free_tree ()
void _M_ref_nonnil ()
void _M_unref_nonnil ()
_Rope_RopeSubstring (_Rope_RopeRep< _CharT, _Alloc > *__b, size_t __s, size_t __l, allocator_type __a)
allocator_type get_allocator () const
virtual void operator() (size_t __start_pos, size_t __req_len, _CharT *__buffer)
virtual ~_Rope_RopeSubstring () throw ()

  Static Public Member Functions
static void _S_free_if_unref (_Rope_RopeRep *__t)
static void _S_free_string (__GC_CONST _CharT *, size_t __len, allocator_type __a)
static void _S_ref (_Rope_RopeRep *__t)
static void _S_unref (_Rope_RopeRep *__t)

  Public Attributes
_Rope_RopeRep< _CharT, _Alloc > * _M_base
__GC_CONST _CharT * _M_c_string
__gthread_mutex_t _M_c_string_lock
bool _M_delete_when_done
unsigned char _M_depth
char_producer< _CharT > * _M_fn
bool _M_is_balanced:8
size_t _M_size
size_t _M_start
_Rope_constants::_Tag _M_tag:8

Author

Generated automatically by Doxygen for libstdc++ from the source code.